Package org.eclipse.emf.cdo.view

## Class CDODirtyStateAdapter

- java.lang.Object
- - org.eclipse.emf.cdo.view.CDODirtyStateAdapter

- All Implemented Interfaces:
    `java.util.EventListener`, `org.eclipse.net4j.util.event.IListener`

      public abstract class CDODirtyStateAdapter
      extends java.lang.Object
      implements org.eclipse.net4j.util.event.IListener

  A `listener` that calls the `onDirtyStateChanged(boolean)` method when the `dirty` state of the `view` this listener is `registered` with has changed.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDODirtyStateAdapter()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `notifyEvent​(org.eclipse.net4j.util.event.IEvent event)` |
    `protected void` | `notifyOtherEvent​(org.eclipse.net4j.util.event.IEvent event)` |
    `protected abstract void` | `onDirtyStateChanged​(boolean dirty)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDODirtyStateAdapter

          public CDODirtyStateAdapter()

  - ### Method Detail

    - #### notifyEvent

          public void notifyEvent​(org.eclipse.net4j.util.event.IEvent event)

      Specified by:
        `notifyEvent` in interface `org.eclipse.net4j.util.event.IListener`

    - #### notifyOtherEvent

          protected void notifyOtherEvent​(org.eclipse.net4j.util.event.IEvent event)

    - #### onDirtyStateChanged

          protected abstract void onDirtyStateChanged​(boolean dirty)